'''
-----------------------------------------------------------------------------
 Three dimensional model of an elliptic crack in a half space modeled using 
 reduced integration elements (C3D20R).
 Submit the job: 3DEllipticCrack
-----------------------------------------------------------------------------
'''

from abaqus import *
from abaqusConstants import *

import part, material, section, assembly, step, interaction
import regionToolset, displayGroupMdbToolset as dgm, mesh
import load, job

#----------------------------------------------------------------------------

# Open the CAE model and create a viewport for viewing it.

Mdb()
modelName = '3DEllipticCrackC3D20R'
openMdb(modelName)
myModel = mdb.models[modelName]
myAssembly = myModel.rootAssembly
myViewport = session.Viewport(name=modelName)
myViewport.makeCurrent()
myViewport.maximize()
myViewport.setValues(displayedObject=myAssembly)

#---------------------------------------------------------------------------

# Submit the job for analysis

mdb.jobs[modelName].submit()
mdb.jobs[modelName].waitForCompletion()

#---------------------------------------------------------------------------
